clang 8.0.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
clang::ReturnedValueConstructionContext Class Reference

`#include "clang/Analysis/ConstructionContext.h"`

Inheritance diagram for clang::ReturnedValueConstructionContext:
[legend]
Collaboration diagram for clang::ReturnedValueConstructionContext:
[legend]

## Public Member Functions
const ReturnStmt * | getReturnStmt () const
Public Member Functions inherited from clang::ConstructionContext
Kind | getKind () const

## Static Public Member Functions
static bool | classof (const ConstructionContext *CC)
Static Public Member Functions inherited from clang::ConstructionContext
static const ConstructionContext * | createFromLayers (BumpVectorContext &C, const ConstructionContextLayer *TopLayer)
| Consume the construction context layer, together with its parent layers, and wrap it up into a complete construction context. More...

## Protected Member Functions
| ReturnedValueConstructionContext (ConstructionContext::Kind K, const ReturnStmt *RS)
Protected Member Functions inherited from clang::ConstructionContext
| ConstructionContext (Kind K)

## Additional Inherited Members
Public Types inherited from clang::ConstructionContext
enum | Kind { SimpleVariableKind, CXX17ElidedCopyVariableKind, VARIABLE_BEGIN = SimpleVariableKind, VARIABLE_END = CXX17ElidedCopyVariableKind, SimpleConstructorInitializerKind, CXX17ElidedCopyConstructorInitializerKind, INITIALIZER_BEGIN = SimpleConstructorInitializerKind, INITIALIZER_END = CXX17ElidedCopyConstructorInitializerKind, NewAllocatedObjectKind, SimpleTemporaryObjectKind, ElidedTemporaryObjectKind, TEMPORARY_BEGIN = SimpleTemporaryObjectKind, TEMPORARY_END = ElidedTemporaryObjectKind, SimpleReturnedValueKind, CXX17ElidedCopyReturnedValueKind, RETURNED_VALUE_BEGIN = SimpleReturnedValueKind, RETURNED_VALUE_END = CXX17ElidedCopyReturnedValueKind, ArgumentKind }
Protected Attributes inherited from clang::ConstructionContext
Kind | K

## Detailed Description

Definition at line 557 of file ConstructionContext.h.

## Constructor & Destructor Documentation

## ◆ ReturnedValueConstructionContext()

clang::ReturnedValueConstructionContext::ReturnedValueConstructionContext | ( | ConstructionContext::Kind | K,
|  | const ReturnStmt * | RS
| ) |  |
| inline explicit protected

Definition at line 561 of file ConstructionContext.h.

References clang::classof().

## Member Function Documentation

## ◆ classof()

static bool clang::ReturnedValueConstructionContext::classof | ( | const ConstructionContext * | CC | ) |
| inline static

Definition at line 571 of file ConstructionContext.h.

References clang::ConstructionContext::getKind().

## ◆ getReturnStmt()

const ReturnStmt* clang::ReturnedValueConstructionContext::getReturnStmt | ( |  | ) | const
| inline

Definition at line 569 of file ConstructionContext.h.

The documentation for this class was generated from the following file:

- include/clang/Analysis/ConstructionContext.h